> ## Documentation Index
> Fetch the complete documentation index at: https://docs.acedata.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Producer Audios



## OpenAPI

````yaml /openapi/producer.json post /producer/audios
openapi: 3.0.0
info:
  title: Producer Music Generation
  version: 1.0.0
  description: API reference for Producer Music Generation on Ace Data Cloud.
servers:
  - url: https://api.acedata.cloud
    description: Ace Data Cloud API
security:
  - bearerAuth: []
paths:
  /producer/audios:
    post:
      summary: Producer Audios
      parameters:
        - in: header
          name: accept
          schema:
            enum:
              - application/json
            type: string
          required: false
          description: Producer Audios Param Accept
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - action
                - lyric
                - prompt
              properties:
                lyric:
                  type: string
                  example: |-
                    [Verse]
                    Woke up with the sun in my eyes
                    No clouds above just blue in the skies
                    Shoes on my feet I’m ready to run
                    Every step feels like a loaded gun
                    [Chorus]
                    Happy days are rolling in
                    Let the joy beneath my skin
                    No more shadows no more lies
                    Just the truth that lifts me high
                    [Verse 2]
                    Dancing through the city streets
                    A rhythm pounding in my heartbeat
                    Strangers smile it’s catching on
                    This world’s a stage we’re all a song
                    [Chorus]
                    Happy days are rolling in
                    Let the joy beneath my skin
                    No more shadows no more lies
                    Just the truth that lifts me high
                    [Bridge]
                    Throw your worries out the door
                    Let them sink to the ocean floor
                    We’re alive and it’s enough
                    Life is messy but it’s love
                    [Chorus]
                    Happy days are rolling in
                    Let the joy beneath my skin
                    No more shadows no more lies
                    Just the truth that lifts me high
                  description: Producer Audios Lyric
                model:
                  enum:
                    - FUZZ-2.0 Pro
                    - FUZZ-2.0
                    - FUZZ-2.0 Raw
                    - FUZZ-1.1 Pro
                    - FUZZ-1.0 Pro
                    - FUZZ-1.0
                    - FUZZ-1.1
                    - FUZZ-0.8
                  type: string
                  description: Producer Audios Model
                title:
                  type: string
                  description: Producer Audios Title
                action:
                  enum:
                    - generate
                    - cover
                    - extend
                    - variation
                    - swap_vocals
                    - swap_instrumentals
                    - replace_section
                    - stems
                  type: string
                  example: generate
                  description: Producer Audios Action
                custom:
                  type: boolean
                  description: Producer Audios Custom
                prompt:
                  type: string
                  example: A song for Christmas
                  description: Producer Audios Prompt
                audio_id:
                  type: string
                  description: Producer Audios Audio Id
                continue_at:
                  type: number
                  default: false
                  description: Producer Audios Continue At
                callback_url:
                  type: string
                  description: Producer Audios Callback Url
                async:
                  type: boolean
                  description: Producer Audios Async
                seed:
                  type: string
                  description: Producer Audios Seed
                instrumental:
                  type: boolean
                  default: false
                  description: Producer Audios Instrumental
                sound_strength:
                  type: number
                  default: false
                  description: Producer Audios Sound Strength
                lyrics_strength:
                  type: number
                  default: false
                  description: Producer Audios Lyrics Strength
                weirdness:
                  type: number
                  default: false
                  description: Producer Audios Weirdness
                replace_section_end:
                  type: number
                  default: false
                  description: Producer Audios Replace Section End
                replace_section_start:
                  type: number
                  default: false
                  description: Producer Audios Replace Section Start
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                example:
                  success: true
                  task_id: 82fd443a-903a-4f18-8028-12d2f8a0a4be
                  trace_id: d85839fa-0bb1-42da-a9fc-cd582c29027d
                  data:
                    - id: 6c947f13-a3c5-4b9c-8609-5639c37cdc2d
                      title: Untitled
                      image_url: https://cdn.acedata.cloud/4hfydw.jpg
                      lyric: '[Instrumental]'
                      audio_url: https://cdn.acedata.cloud/suno_demo.mp3
                      video_url: null
                      image_id: 6c947f13-a3c5-4b9c-8609-5639c37cdc2d
                      topic: null
                      seed: '2450882164'
                      sound: A song for Christmas
                      created_at: '2025-12-30T17:18:23.232911Z'
                      model: FUZZ-2.0 Pro
                      progress: 100%
                      state: succeeded
                      duration: '181.3014058956916'
                properties:
                  data:
                    type: array
                    description: Producer Audios Response 200 Data
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: Producer Audios Response 200 Data Id
                        lyric:
                          type: string
                          description: Producer Audios Response 200 Data Lyric
                        model:
                          type: string
                          description: Producer Audios Response 200 Data Model
                        style:
                          type: string
                          description: Producer Audios Response 200 Data Style
                        title:
                          type: string
                          description: Producer Audios Response 200 Data Title
                        prompt:
                          type: string
                          description: Producer Audios Response 200 Data Prompt
                        audio_url:
                          type: string
                          description: Producer Audios Response 200 Data Audio Url
                        image_url:
                          type: string
                          description: Producer Audios Response 200 Data Image Url
                        video_url:
                          type: string
                          description: Producer Audios Response 200 Data Video Url
                        created_at:
                          type: string
                          description: Producer Audios Response 200 Data Created At
                  success:
                    type: boolean
                    description: Producer Audios Response 200 Success
          description: Producer Audios Response 200
        '400':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: token_mismatched
                        message: The specified token is not matched with API.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: token_mismatched
                            description: Producer Audios Response 400 Error Code
                          message:
                            type: string
                            example: The specified token is not matched with API.
                            description: Producer Audios Response 400 Error Message
                      trace_id:
                        type: string
                        description: Producer Audios Response 400 Trace Id
                  - type: object
                    example:
                      error:
                        code: api_not_implemented
                        message: The API is not implemented.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: api_not_implemented
                            description: Producer Audios Response 400 Error Code 2
                          message:
                            type: string
                            example: The API is not implemented.
                            description: Producer Audios Response 400 Error Message 2
                      trace_id:
                        type: string
                        description: Producer Audios Response 400 Trace Id 2
                  - type: object
                    example:
                      error:
                        code: disabled
                        message: >-
                          Your application has been disabled by Ace Data Cloud
                          due to abnormal usage behavior, please contact our
                          support to get more information.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: disabled
                            description: Producer Audios Response 400 Error Code 3
                          message:
                            type: string
                            example: >-
                              Your application has been disabled by Ace Data
                              Cloud due to abnormal usage behavior, please
                              contact our support to get more information.
                            description: Producer Audios Response 400 Error Message 3
                      trace_id:
                        type: string
                        description: Producer Audios Response 400 Trace Id 3
                  - type: object
                    example:
                      error:
                        code: bad_request
                        message: model is invalid.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: bad_request
                            description: Producer Audios Response 400 Error Code 4
                          message:
                            type: string
                            example: model is invalid.
                            description: Producer Audios Response 400 Error Message 4
                      trace_id:
                        type: string
                        description: Producer Audios Response 400 Trace Id 4
                  - type: object
                    example:
                      error:
                        code: no_token
                        message: No token specified for the request.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: no_token
                            description: Producer Audios Response 400 Error Code 5
                          message:
                            type: string
                            example: No token specified for the request.
                            description: Producer Audios Response 400 Error Message 5
                      trace_id:
                        type: string
                        description: Producer Audios Response 400 Trace Id 5
          description: Producer Audios Response 400
        '401':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: invalid_token
                        message: The specified token is invalid or wrong.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: invalid_token
                            description: Producer Audios Response 401 Error Code
                          message:
                            type: string
                            example: The specified token is invalid or wrong.
                            description: Producer Audios Response 401 Error Message
                      trace_id:
                        type: string
                        description: Producer Audios Response 401 Trace Id
                  - type: object
                    example:
                      error:
                        code: token_expired
                        message: token expired.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: token_expired
                            description: Producer Audios Response 401 Error Code 2
                          message:
                            type: string
                            example: token expired.
                            description: Producer Audios Response 401 Error Message 2
                      trace_id:
                        type: string
                        description: Producer Audios Response 401 Trace Id 2
                  - type: object
                    example:
                      error:
                        code: token_mismatched
                        message: token and api does not match.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: token_mismatched
                            description: Producer Audios Response 401 Error Code 3
                          message:
                            type: string
                            example: token and api does not match.
                            description: Producer Audios Response 401 Error Message 3
                      trace_id:
                        type: string
                        description: Producer Audios Response 401 Trace Id 3
          description: Producer Audios Response 401
        '403':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: used_up
                        message: >-
                          Your balance is not sufficient for current request,
                          please buy more in Ace Data Cloud.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: used_up
                            description: Producer Audios Response 403 Error Code
                          message:
                            type: string
                            example: >-
                              Your balance is not sufficient for current
                              request, please buy more in Ace Data Cloud.
                            description: Producer Audios Response 403 Error Message
                      trace_id:
                        type: string
                        description: Producer Audios Response 403 Trace Id
          description: Producer Audios Response 403
        '404':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: no_api
                        message: API does not exist, please make sure url is correct.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: no_api
                            description: Producer Audios Response 404 Error Code
                          message:
                            type: string
                            example: >-
                              API does not exist, please make sure url is
                              correct.
                            description: Producer Audios Response 404 Error Message
                      trace_id:
                        type: string
                        description: Producer Audios Response 404 Trace Id
          description: Producer Audios Response 404
        '429':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: too_many_requests
                        message: You have exceeded the rate limit.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: too_many_requests
                            description: Producer Audios Response 429 Error Code
                          message:
                            type: string
                            example: You have exceeded the rate limit.
                            description: Producer Audios Response 429 Error Message
                      trace_id:
                        type: string
                        description: Producer Audios Response 429 Trace Id
          description: Producer Audios Response 429
        '500':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: api_error
                        message: Internal server error.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: api_error
                            description: Producer Audios Response 500 Error Code
                          message:
                            type: string
                            example: Internal server error.
                            description: Producer Audios Response 500 Error Message
                      trace_id:
                        type: string
                        description: Producer Audios Response 500 Trace Id
          description: Producer Audios Response 500
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API token from https://platform.acedata.cloud

````